import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SelectComponent implements OnInit, OnChanges {
    addItem: EventEmitter<any>;
    close: EventEmitter<any>;
    list: any[];
    inputControl: FormControl;
    preSelectedItem: any | any[];
    text: string;
    id: string;
    itemThumbnail: string;
    placeholder: string;
    title: string;
    isMultiSelect: boolean;
    autoSelection: boolean;
    addButtonText: string;
    emptyListText: string;
    showFilter: boolean;
    filteredList: any[];
    isSelectAll: boolean;
    selectedItem: any | any[];
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    mapSelectedPropToList(): any[];
    setDefaultValue(): void;
    onSelectListItem(item: any): void;
    setSelectedItem(item: any): void;
    sortList(): void;
    setFormControl(value: any | any[]): void;
    addOrRemoveItemFromList(list: any[], item: any): any[];
    toggleItem(item: any): void;
    onSearch(event: Event): void;
    onClose(): void;
    onToggleSelectAll(): void;
    onSelectNone(): void;
    onAddSelectedItem(): void;
    static ɵfac: i0.ɵɵFactoryDef<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<SelectComponent, "ins-select", never, { "list": "list"; "inputControl": "inputControl"; "preSelectedItem": "preSelectedItem"; "text": "text"; "id": "id"; "itemThumbnail": "itemThumbnail"; "placeholder": "placeholder"; "title": "title"; "isMultiSelect": "isMultiSelect"; "autoSelection": "autoSelection"; "addButtonText": "addButtonText"; "emptyListText": "emptyListText"; "showFilter": "showFilter"; }, { "addItem": "addItem"; "close": "close"; }, never, never>;
}
